{% extends "app/correlationsHistory.html" %}
{% block history_correlations_day_ahead %}
    {% load staticfiles %}
    <!--
this is the page for viewing correlations history for dayahead
all the javascript can be found in app/static/app/scipts/correlations_history.js and correlations_action_calls.js
-->
<link rel="stylesheet" href="{% static 'app/content/font-awesome.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-table.min.css' %}"/>
<script src="{% static 'app/scripts/bootstrap-table.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-datetimepicker.css' %}"/>
<script src="{% static 'app/scripts/moment.min.js' %}"></script>
<script src="{% static 'app/scripts/moment-timezone-with-data-2010-2020.min.js' %}"></script>
<script src="{% static 'app/scripts/bootstrap-datetimepicker.js' %}"></script>
<script src="{% static 'app/scripts/utilities.js' %}"></script>

<script type="text/javascript">
    var username = "{{ username }}";
    var is_dso = "{{ is_dso }}";
    var ACTION_URL = "{{ ACTION_URL }}";
    var ACTION_STATUS_URL = "{{ ACTION_STATUS_URL }}"
    var ACTION_TYPE_URL = "{{ ACTION_TYPE_URL }}";
    var timeframe = "day_ahead";
    var MPLACE_URL = "{{ MPLACE_URL }}";
    var MARKET_ACTOR_URL = "{{ MARKET_ACTOR_URL }}";
    var SELECT_MPLACE_URL = "{{ SELECT_MPLACE }}";
    var token = "{{token}}";
    var actorid = "{{actor.id}}";
    var user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
    var is_authenticated = "{{ is_authenticated }}";
    var memo_ip = "{{ MEMO}}";

</script>

{% csrf_token %}
    <script type="text/javascript">
    $(".vertical_tab").removeClass("active");
    $("#day_ahead_tab").addClass("active");
    $(".tab-pane").removeClass("active");
    $("#ahead").addClass("active");
</script>
     <div id="table_data_helper" style="display: block;">
        <table
        id="cor2"
        data-toolbar="#toolbar_id"
        data-toggle="table"
        class="table"
        data-side-pagination="client"
        data-pagination="true"
        data-search="true"
        data-id-field="id"
        data-page-list="[10, 25, 50, 100, ALL]"
        data-sort-name="active"
        data-sort-order="desc"
        data-click-to-select="true"
        data-single-select="true"
        data-ajax-options="options">
        <thead>
            <tr>
                <th class="th th-inner" data-sortable="true" data-field="id">ID</th>
                <th class="th th-inner" data-sortable="false" data-field="constraint">Constraint</th>
                <th class="th th-inner" data-sortable="false" data-field="actions">Actions</th>
            </tr>
        </thead>
        </table>
     </div>


<script src="{% static 'app/scripts/correlation_action_calls.js' %}"></script>
<script src="{% static 'app/scripts/correlations_history.js' %}"></script>
<script src="{% static 'app/scripts/utilities.js' %}"></script>

{% endblock %}